Create Catalog Item
1 min
POST
https://api.upstartcommerce.com/v1/catalog
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
201<p>Success-resource created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/catalog \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"name": "",
"offeredStandardWarranty": {
"resource": {
"nId": ""
},
"type": "DrupalTermsAndConditions"
},
"offeredProtectionPlanType": {
"type": ""
},
"productItems": {
"type": "",
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
},
"shippingPackages": [
{
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
}
}
],
"purchasable": "",
"skuDimensions": [
{
"name": "",
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
}
],
"pimVariantId": "N/A"
},
"shippingMethodIds": [],
"siteIds": [],
"typeId": "FA1F5DC8-E4FB-415F-BDD8-8E6F0AD43318"
}'